package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class UnitBagian
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "UnitBagian_M")
public class UnitBagianVO extends BaseMasterVO {
	@Caption(value="Kode Unit Bagian")
	private Byte kdUnitBagian;

	public void setKdUnitBagian(Byte kdUnitBagian) {
		this.kdUnitBagian = kdUnitBagian;
	}

	@Column(name = "KdUnitBagian", nullable = false )
	public Byte getKdUnitBagian(){
		return this.kdUnitBagian;
	}

	@Caption(value="QUnit Bagian")
	private Byte qUnitBagian;

	public void setqUnitBagian(Byte qUnitBagian) {
		this.qUnitBagian = qUnitBagian;
	}

	@Column(name = "QUnitBagian", nullable = false )
	public Byte getqUnitBagian(){
		return this.qUnitBagian;
	}

	@Caption(value="Unit Bagian")
	private String unitBagian;

	public void setUnitBagian(String unitBagian) {
		this.unitBagian = unitBagian;
	}

	@Column(name = "UnitBagian", nullable = false , length = 50)
	public String getUnitBagian(){
		return this.unitBagian;
	}


}

